Welcome to our Services

iOS Jailbreak Compatibility

Before run or apply any jailbreak for your iPhone or iPad, please make sure your iOS is running on the compatible version. If your iOS is not compatible then we will not be able to jailbreak for you.

Jailbreak iOS in Pulau Pinang



Who Can Jailbreak?

All the devices listed below are able to jailbreak. Just let us know what is your iDevice model and iOS version your devices are using. We will be ready to service for you.

  • iPhone 3G (iOS 4.2.1 or lower)
  • iPhone 3GS (iOS 6.1.3 or lower)
  • iPhone 4 (iOS 7.0.4 or lower)
  • iPhone 4S (iOS 7.0.4 or lower)
  • iPhone 5 (iOS 7.0.4)
  • iPhone 5S (iOS 7.0.4)
  • iPod Touch 1st Gen
  • iPod Touch 2nd Gen
  • iPod Touch 3rd Gen (iOS 5.1.1 or lower)
  • iPod Touch 4th Gen (iOS 6.1.3 or lower)
  • iPod Touch 5th Gen (iOS 6.1.3)
  • iPad (iOS 5.1.1 or lower)
  • iPad 2 (iOS 7.0.4 or lower)
  • iPad 3 (iOS 7.0.4 or lower)
  • iPad 4 (iOS 7.0.4)
  • iPad Air (iOS 7.0.4)
  • iPad Mini / iPad Mini with Retina Display (iOS 7.0.4)


Example: iPhone 5S - iOS 7.0.4

How to check your iOS version:

Tap "Settings" -> "General" -> "About" then look for "version"


Note: Please backup all your information as we do not responsible for any data lost.

Apple hot news